'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var i18nConfig = {

  localeData: {
    nl: {
      monthNames: ['januari', 'februari', 'maart', 'april', 'mei', 'juni', 'juli', 'augustus', 'september', 'oktober', 'november', 'december'],
      dayNamesMin: ['zo', 'ma', 'di', 'wo', 'do', 'vr', 'za'],
      firstDay: 1,
      weekEnd: 0,
      isRTL: false
    },
    ar: {
      monthNames: ['يناير', 'فبراير', 'مارس', 'أبريل', 'مايو', 'يونيو', 'يوليو', 'أغسطس', 'سبتمبر', 'أكتوبر', 'نوفمبر', 'ديسمبر'],
      dayNamesMin: ['ح', 'ن', 'ث', 'ر', 'خ', 'ج', 'س'],
      firstDay: 6,
      weekEnd: 5,
      isRTL: true
    },
    he: {
      monthNames: ['ינואר', 'פברואר', 'מרץ', 'אפריל', 'מאי', 'יוני', 'יולי', 'אוגוסט', 'ספטמבר', 'אוקטובר', 'נובמבר', 'דצמבר'],
      dayNamesMin: ['א\'', 'ב\'', 'ג\'', 'ד\'', 'ה\'', 'ו\'', 'שבת'],
      firstDay: 0,
      weekEnd: 6,
      isRTL: true
    },
    fr: {
      monthNames: ['janvier', 'février', 'mars', 'avril', 'mai', 'juin', 'juillet', 'août', 'septembre', 'octobre', 'novembre', 'décembre'],
      dayNamesMin: ['D', 'L', 'M', 'M', 'J', 'V', 'S'],
      firstDay: 1,
      weekEnd: 0,
      isRTL: false
    },
    'zh-CN': {
      monthNames: ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月', '十月', '十一月', '十二月'],
      dayNamesMin: ['日', '一', '二', '三', '四', '五', '六'],
      firstDay: 1,
      weekEnd: 0,
      isRTL: false
    }
  }

};

exports.default = i18nConfig;